Package bitel.billing.server.contract.bean

# Class ContractStatusManager.ContractStatusManager4Script

java.lang.Object
bitel.billing.server.contract.bean.ContractStatusManager
bitel.billing.server.contract.bean.ContractStatusManager.ContractStatusManager4Script

All Implemented Interfaces:
  `ru.bitel.common.worker.Recyclable`

Enclosing class:
  ContractStatusManager

    public static class ContractStatusManager.ContractStatusManager4Script
    extends ContractStatusManager

Заменяем кусочек класа ContractStatusManager с приватными методами такими же, но открытыми. Чтобы можно было в скрипте "установка логики смены статуса" использовать эти все методы.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class bitel.billing.server.contract.bean.ContractStatusManager

  `ContractStatusManager.ContractStatusManager4Script`

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.contract.bean.ContractStatusManager

  `con`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractStatusManager4Script​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteStatus​(int id)` |
  `void` | `doByPeriod​(ContractStatus status, java.lang.Integer userId)` |
  `void` | `saveLog​(ContractStatusLog log)` |
  `void` | `updateStatus​(ContractStatus status, java.lang.Integer userId)` |

  ### Methods inherited from class bitel.billing.server.contract.bean.ContractStatusManager

  `changeStatus, changeStatus, getLogList, getPeriodList, getStatus, getStatusList, getStatusList, getStatusList, getStatusListAfterDate, isStatusPeriodValid, recycle, setContractStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatusManager4Script

    public ContractStatusManager4Script​(java.sql.Connection con)

- ## Method Details

  - ### deleteStatus

    public void deleteStatus​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateStatus

    public void updateStatus​(ContractStatus status, java.lang.Integer userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doByPeriod

    public void doByPeriod​(ContractStatus status, java.lang.Integer userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### saveLog

    public void saveLog​(ContractStatusLog log) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`